<template>
  <!-- 销售订单页面 -->
  <div class="salePlan">
    <div class="top">
      <el-input placeholder="请输入内容" v-model="input" clearable> </el-input>
      <el-button type="primary" class="btn" @click="onclick">
        <i class="el-icon-search"></i>查询
      </el-button>
      <el-button type="primary" @click="refresh">
        <i class="el-icon-refresh"></i>刷新
      </el-button>
    </div>
    <div class="table">
      <el-tabs v-model="activeName" @tab-click="handleClick">
        <!-- 已审批 -->
        <!-- <el-tab-pane name="four"> -->
        <dilTable v-bind.sync="option4" ref="table" max-height="300">
          <el-table-column fixed="right" label="操作" width="120">
            <template slot-scope="scope">
              <el-button
                @click="sendClick(scope.row.saleOrderId)"
                type="text"
                size="small"
                >派车</el-button
              >
              <!-- <el-button
                @click="closeOrder(scope.row.saleOrderId)"
                type="text"
                size="small"
                >关闭订单</el-button
              > -->
              <el-button
                @click="getOrderDetails(scope.row.saleOrderId)"
                type="text"
                size="small"
                >运单</el-button
              >
            </template>
          </el-table-column>
        </dilTable>
        <!-- </el-tab-pane> -->
      </el-tabs>
    </div>
  </div>
</template>
<script>
export default {
  name: "saleOrder",
  data() {
    return {
      activeName: "four",
      input: "",
      option4: {
        // 表格请求数据的地址
        requestUrl: "/api/v1/ams/getCokeSaleOrderList?apiId=409"
      },
      //(销售公司已审批\财务已审批)
      tableData: []
    };
  },
  methods: {
    getOrderDetails(saleOrderId) {
      console.log(saleOrderId);
      this.$router.push("saleOrderOODetails/" + saleOrderId);
    },
    refresh() {
      this.option4.requestUrl =
        "/api/v1/ams/getCokeSaleOrderList?apiId=409&i=" + new Date();
    },
    handleClick(tab, event) {
      console.log(tab, event);
    },
    onclick() {
      this.option4.requestUrl =
        "/api/v1/ams/getCokeSaleOrderList?apiId=409&con=" + this.input;
    },
    sendClick(saleOrderId) {
      this.$router.push("/addSaleCokeSend/" + saleOrderId);
    },
    closeOrder(saleOrderId) {
      this.$confirm("是否关闭", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning",
        center: true
      })
        .then(() => {
          this.$message({
            type: "success",
            message: "关闭成功!"
          });
          this.axios
            .post("/api/v1/ams/closeSaleOrder?saleOrderId=" + saleOrderId)
            .then(() => {
              this.$router.go(0);
            });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "取消关闭!"
          });
        });
    }
  }
};
</script>
<style lang="scss" scoped>
.salePlan {
  .top {
    margin-left: 20px;
    margin-top: 20px;
    .el-input {
      width: 20%;
      margin-right: 1.25rem;
    }
  }
  .table {
    margin-left: 20px;
    margin-top: 20px;
  }
}
</style>
